Summary:	Vertex - polygon based modeller
Summary(pl.UTF-8):	Vertex - modeler oparty o wielokąty
Name:		vertex
Version:	0.1.16
Release:	1
License:	GPL v2
Group:		X11/Graphics
Source0:	http://wolfsinger.com/~wolfpack/packages/%{name}-%{version}.tar.bz2
# Source0-md5:	6adc3b3f06d5d63b48002a62173f6fe5
URL:		http://freecode.com/projects/vertex
BuildRequires:	gtkglarea1-devel
BuildRequires:	imlib-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vertex is a polygon based modeller geared towards making highly
efficient 3D objects for games and other live-end requirements. It
uses the V3D object model format to maximize efficiency with OpenGL
rendering.

%description -l pl.UTF-8
Vertex to modeler oparty o wielokąty, którego celem jest tworzenie
wydajnych obiektów 3D do gier i innych zastosowań. Używa formatu
modeli obiektów V3D, aby uzyskać największą wydajność renderowania z
użyciem OpenGL.

%prep
%setup -q

%build
./configure Linux
%{__make} \
	CC="%{__cc}"\
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags} -Wall -fomit-frame-pointer -ffast-math -DHAVE_IMLIB `gtk-config --cflags`" \
	LIB_DIRS=


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	DATA_DIR=$RPM_BUILD_ROOT%{_datadir}/%{name} \
	ICONS_DIR=$RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/vertex
%{_datadir}/%{name}
%{_pixmapsdir}/vertex.xpm
%{_mandir}/man1/vertex.1*
%changelog
* Sun Feb 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vertex.git;a=log;h=master

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 5411da8
- new URLs, updated to 0.1.16

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a64c340
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 99ad0e1
- converted to UTF-8

* Mon Mar 14 2005 darekr <darekr@pld-linux.org> 8c3aecb
- quote CC, CXX

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 66ad5f8
- outdated

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 6e405f5
- updated to 0.1.15

* Wed Aug 04 2004 kolodko <kolodko@pld-linux.org> c50ac1f
- fixed build in 0.1.14

* Wed Aug 04 2004 kolodko <kolodko@pld-linux.org> 246505e
- added patch fix_multi_line

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> dde535d
- caps unification, other cosmetics

* Fri Jun 06 2003 Jakub Bogusz <qboosh@pld-linux.org> 3cf5124
- updated feedback address

* Wed May 28 2003 Michal Moskal <michal@moskal.me> b565726
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4e1644d
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Feb 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 4fb186d
- added URL

* Wed Feb 05 2003 Jakub Bogusz <qboosh@pld-linux.org> 30600d1
- pl description, cleanups, fixed files list, added BRs and _noautoreqdep

* Tue Feb 04 2003 cieciwa <cieciwa@pld-linux.org> ba80fe4
- release 2,
- fixed building and installation.

* Mon Jan 27 2003 cieciwa <cieciwa@pld-linux.org> cf17b1d
- 3D modeler for Sear And rescue game.

